Package org.apache.ignite.spi.systemview.view

## Class TransactionView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.TransactionView

    public class TransactionView
    extends Object

Transaction representation for a `SystemView`.

### Constructor Summary

Constructors
`TransactionView​(IgniteInternalTx tx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `cacheIds()`
`boolean` `colocated()`
`TransactionConcurrency` `concurrency()`
`boolean` `dht()`
`long` `duration()`
`boolean` `implicit()`
`boolean` `implicitSingle()`
`boolean` `internal()`
`TransactionIsolation` `isolation()`
`int` `keysCount()`
`String` `label()`
`boolean` `local()`
`UUID` `localNodeId()`
`boolean` `near()`
`boolean` `onePhaseCommit()`
`UUID` `originatingNodeId()`
`UUID` `otherNodeId()`
`long` `startTime()`
`TransactionState` `state()`
`UUID` `subjectId()`
`boolean` `system()`
`long` `threadId()`
`long` `timeout()`
`String` `topVer()`
`IgniteUuid` `xid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionView

    public TransactionView​(IgniteInternalTx tx)

Parameters:
  `tx` - Transaction.

### Method Detail

#### localNodeId

    public UUID localNodeId()

Returns:
  Local node ID.
See Also:
  `IgniteInternalTx.nodeId()`

#### threadId

    public long threadId()

Returns:
  ID of the thread in which this transaction started.
See Also:
  `IgniteInternalTx.threadId()`

#### startTime

    public long startTime()

Returns:
  Start time of this transaction on this node.
See Also:
  `IgniteInternalTx.startTime()`

#### isolation

    public TransactionIsolation isolation()

Returns:
  Isolation level.
See Also:
  `IgniteInternalTx.isolation()`

#### concurrency

    public TransactionConcurrency concurrency()

Returns:
  Concurrency mode.
See Also:
  `IgniteInternalTx.concurrency()`

#### state

    public TransactionState state()

Returns:
  Current transaction state.
See Also:
  `IgniteInternalTx.state()`

#### timeout

    public long timeout()

Returns:
  Transaction timeout value.
See Also:
  `IgniteInternalTx.timeout()`

#### implicit

    public boolean implicit()

Returns:
  `True` if transaction was started implicitly.
See Also:
  `IgniteInternalTx.implicit()`

#### xid

    public IgniteUuid xid()

Returns:
  Transaction UID.
See Also:
  `IgniteInternalTx.xid()`

#### system

    public boolean system()

Returns:
  `True` if transaction is started for system cache.
See Also:
  `IgniteInternalTx.system()`

#### implicitSingle

    public boolean implicitSingle()

Returns:
  Flag indicating whether transaction is implicit with only one key.
See Also:
  `IgniteInternalTx.implicitSingle()`

#### near

    public boolean near()

Returns:
  `True` if near transaction.
See Also:
  `IgniteInternalTx.near()`

#### dht

    public boolean dht()

Returns:
  `True` if DHT transaction.
See Also:
  `IgniteInternalTx.dht()`

#### colocated

    public boolean colocated()

Returns:
  `True` if dht colocated transaction.
See Also:
  `IgniteInternalTx.colocated()`

#### local

    public boolean local()

Returns:
  `True` if transaction is local, `false` if it's remote.
See Also:
  `IgniteInternalTx.local()`

#### subjectId

    public UUID subjectId()

Returns:
  Subject ID initiated this transaction.
See Also:
  `IgniteInternalTx.subjectId()`

#### label

    public String label()

Returns:
  Label of transaction or `null` if there was not set.
See Also:
  `IgniteInternalTx.label()`

#### onePhaseCommit

    public boolean onePhaseCommit()

Returns:
  `True` if transaction is a one-phase-commit transaction.
See Also:
  `IgniteInternalTx.onePhaseCommit()`

#### internal

    public boolean internal()

Returns:
  `True` if transaction has at least one internal entry.

#### originatingNodeId

    public UUID originatingNodeId()

Returns:
  Originating node id.
See Also:
  `IgniteInternalTx.originatingNodeId()`

#### otherNodeId

    public UUID otherNodeId()

Returns:
  Other node id.
See Also:
  `IgniteInternalTx.otherNodeId()`

#### topVer

    public String topVer()

Returns:
  Topology version.
See Also:
  `IgniteInternalTx.topologyVersion()`

#### duration

    public long duration()

Returns:
  Duration in millis.
See Also:
  `IgniteInternalTx.startTime()`

#### keysCount

    public int keysCount()

Returns:
  Count of the cache keys participatint in transaction.
See Also:
  `IgniteInternalTx.allEntries()`

#### cacheIds

    public String cacheIds()

Returns:
  Id of the cashes participating in transaction.
See Also:
  `IgniteTxState.cacheIds()`